package com.myoa.engineering.crawl.shopping.service;

import com.myoa.engineering.crawl.shopping.domain.entity.v2.SubscribedKeyword;
import com.myoa.engineering.crawl.shopping.infra.repository.v2.SubscribedKeywordRepository;
import com.myoa.engineering.crawl.shopping.support.dto.constant.CrawlTarget;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SubscribedKeywordQueryService {

    private final SubscribedKeywordRepository subscribedKeywordRepository;

    public SubscribedKeywordQueryService(SubscribedKeywordRepository subscribedKeywordRepository) {
        this.subscribedKeywordRepository = subscribedKeywordRepository;
    }

    public List<SubscribedKeyword> findAll() {
        return subscribedKeywordRepository.findAll();
    }

    public List<SubscribedKeyword> findByCrawlTarget(CrawlTarget crawlTarget) {
        return subscribedKeywordRepository.findByCrawlTarget(crawlTarget);
    }
}
